DROP TABLE IF EXISTS `ost_task_status`;
CREATE TABLE  `ost_task_status` (
  `status_id` tinyint(4) NOT NULL auto_increment,
  `status` varchar(30) NOT NULL default 'NULL',
  `status_color` varchar(7) NOT NULL default 'NULL',
  PRIMARY KEY  (`status_id`),
  UNIQUE KEY `status` (`status`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

DROP TABLE IF EXISTS `ost_tasks`;
CREATE TABLE `ost_tasks` (
  `task_id` int(6) NOT NULL auto_increment COMMENT 'task id number',
  `task_title` varchar(128) NOT NULL COMMENT 'the heading for the task',
  `task_owner` int(3) NOT NULL default '0' COMMENT 'the id number of the member who is assigned the task',
  `task_text` longtext NOT NULL COMMENT 'desctiption of the task',
  `task_status` enum('0','1','2','3','4') NOT NULL default '0' COMMENT 'status value of task',
  `task_date` timestamp NOT NULL default CURRENT_TIMESTAMP COMMENT 'the creation dateand time for the task',
  `task_creator` int(3) NOT NULL default '0' COMMENT 'the id of the user who created the task',
  `task_department` int(3) NOT NULL default '0',
  `task_due_date` date NOT NULL,
  `task_priority` enum('1','2','3','4') NOT NULL default '2',
  `time_slots` int(3) default NULL,
  `start_day` date default NULL,
  `start_time` time default NULL,
  `day_span` varchar(5) default NULL,
  PRIMARY KEY  (`task_title`),
  UNIQUE KEY `task_id` (`task_id`),
  FULLTEXT KEY `task_text` (`task_text`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `ost_task_notes` (
  `note_id` int(6) NOT NULL,
  `task_id` int(6) NOT NULL,
  `note_title` text NOT NULL,
  `note_text` text NOT NULL,
  `note_date` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `note_creator` int(11) NOT NULL,
  UNIQUE KEY `note_id` (`note_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE 'ost_task_notes` (
  `note_id` int(6) NOT NULL auto_increment,
  `task_id` int(6) NOT NULL,
  `note_date` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `note_title` text NOT NULL,
  `note_text` text NOT NULL,
  `note_creator` int(11) NOT NULL,
  PRIMARY KEY  (`note_id`),
  UNIQUE KEY `note_id` (`note_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=latin1

LOCK TABLES `ost_task_status` WRITE;
INSERT INTO `intranet`.`ost_task_status` VALUES  (1,'Not Started','FFCC99'),
 (2,'Canceled','66AAEE'),
 (3,'Under Way','99DD55'),
 (4,'Compleat','66BB11'),
 (5,'On Hold','BBBBBB');
UNLOCK TABLES;
