<?php
/*********************************************************************
    tasklist.php
	
	version 0.01	

    Created By Leigh Edwards
	aka Fidel
	Date Aug 21 2009
	
	adapted from code writen by
    Peter Rotich <peter@osticket.com>
    Copyright (c)  2006,2007,2008,2009 osTicket
    http://www.osticket.com

    Released under the GNU General Public License WITHOUT ANY WARRANTY.
    See LICENSE.TXT for details.

    vim: expandtab sw=4 ts=4 sts=4:
    $Id: $
 **********************************************************************/

require_once ('staff.inc.php');
require_once (INCLUDE_DIR . 'class.task.php');
$taskObj = new task ( );
$taskObj->setUser ( $thisuser );

$inc = 'tasklist.inc.php';
if ($_POST && $_POST ['id'] != $thisuser->getId ()) { //Check dummy ID used on the form.
	$errors ['err'] = 'Internal Error. Action Denied :' . $_POST ['id'];
}
//Forced password Change.
if ($thisuser->forcePasswdChange ()) {
	$errors ['err'] = 'You must change your password to continue.';
	$inc = 'changepasswd.inc.php';
}
//Tab and Nav options.
$nav->setTabActive ( 'tasklist' );
$nav->addSubMenu ( array ('desc' => 'All Tasks', 'href' => 'tasklist.php', 'iconclass' => 'userPref' ) );
$nav->addSubMenu ( array ('desc' => 'My Tasks', 'href' => 'tasklist.php?t=my', 'iconclass' => 'userPref' ) );
$nav->addSubMenu ( array ('desc' => 'Schedule', 'href' => 'tasklist.php?t=schedule', 'iconclass' => 'userPref' ) );
$nav->addSubMenu ( array ('desc' => 'New Task', 'href' => 'tasklist.php?t=new', 'iconclass' => 'userPref' ) );
//Warnings if any.
if ($thisuser->onVacation ()) {
	$warn .= 'Welcome back! You are listed as \'on vacation\' Please let admin or your manager know that you are back.';
}
$rep = Format::htmlchars ( ($errors && $_POST) ? $_POST : $thisuser->getData () );

if (! $errors && $_POST) { //Handle post FORMS
	switch (strtolower ( $_REQUEST ['t'] )) :
		case 'my' : // case for displaying my assigned tasks
			break;
		case 'new' : // case to create a new task
			$taskObj->insertNewtask ( $_POST );
			break;
		case 'all' : // case to display all current tasks
			break;
		case 'schedule' :
			break;
		case 'action' :
			break;
		case 'edit' :
			$taskObj->editTask ( $_POST );
			break;
		case 'view' :
			break;
		case 'newnote' :
			$taskObj->insertNewNote ( $_POST );
			break;
		case 'deletenote' :
			$taskObj->deleteNote ( $_POST ['note_id'] );
			break;
		default :
			$errors ['err'] = 'Uknown action';
	endswitch;
	//Reload user info if no errors.
	if (! $errors) {
		$thisuser->reload ();
		$_SESSION ['TZ_OFFSET'] = $thisuser->getTZoffset ();
	}
}
// page logic


if (! $errors) {
	switch (strtolower ( $_REQUEST ['t'] )) { // get
		case 'my' :
			$inc = 'tasklist.inc.php';
			break;
		case 'new' :
			$inc = 'newtask.inc.php';
			break;
		case 'all' :
			$inc = 'tasklist.inc.php';
			break;
		case 'action' :
			$taskObj->action ( $_GET );
			if ($_GET ['do'] = 'delete') {
				$inc = 'tasklist.inc.php';
			} else {
				$inc = 'viewtask.inc.php';
			}
			break;
		case 'schedule' :
			//$taskObj->setUser ( $thisuser );
			$taskObj->buildSchedule ();
			$inc = 'taskschedule.inc.php';
			break;
		case 'edit' :
			If ($_GET ['task_id']) {
				$inc = 'edittask.inc.php';
			} else {
				$inc = 'viewtask.inc.php';
			}
			break;
		case 'deletenote' :
			$inc = 'viewtask.inc.php';
			break;
		case 'newnote' :
			$inc = 'viewtask.inc.php';
			break;
		case 'view' :
			$inc = 'viewtask.inc.php';
			break;
		default :
			
			$inc = 'tasklist.inc.php';
	}
}

//Render the page.
require_once (STAFFINC_DIR . 'header.inc.php');

// check for errors or messages
if ($taskObj->isError == 1) {
	$errors ['err'] = $taskObj->getMsg ();
} else {
	$msg = $taskObj->getMsg ();
}
?>
<div>
    <?
				if ($errors ['err']) {
					?>
        <p align="center" id="errormessage"><?=$errors ['err']?></p>
    <?
				} elseif ($msg) {
					?>
        <p align="center" id="infomessage"><?=$msg?></p>
    <?
				} elseif ($warn) {
					?>
        <p align="center" id="warnmessage"><?=$warn?></p>
    <?
				}
				?>
</div>
<div>
   <?
			require (STAFFINC_DIR . $inc);
			?>
</div>
<?
require_once (STAFFINC_DIR . 'footer.inc.php');
?>
